명령어는 dds이고요
리습 저장이름은 btedit 입니다~~
dds치고 텍스트 여러개 선택하면 가능했는데
조금 낮은 버젼에서는 사용 가능했었는데 2018에서는 안되네요~~
왜 그런지 모르겠어요. ㅠ.ㅠ
ddeidt 알수 없는 명령이라고 나오네요?? 무슨 말인지..? 2018버전에서는 ddedit 명령이 안되나요?
리습은 btedit 리습 올려두었어요.
고수님들 도와주세용~~
;———————————————-
;—– The Change Text sTring lisp progrm —–
;—– Copyright (C) 1996. by MIN SYSTEM —–
;———————————————-
;;;====================================================================
; CHGTEXT command – rudimentary text editor
(defun C:CT (/ p l n e os as ns st s nsl osl sl si chf chm cont)
(setq chm 0 p (ssget)) ; Select objects
(if p
(progn ; If any objects selected
(setq cont t)
(while cont
(setq osl (strlen (setq os (getstring “nOld string: ” t))))
(if (= osl 0)
(princ “Null input invalid”)
(setq cont nil)
);if
);while
(setq nsl (strlen (setq ns (getstring “nNew string: ” t))))
(setq l 0 n (sslength p))
(while (>> ” ntxt2))(terpri)
)
(progn
(setq txtct (1+ txtct))
(setq ttx (ssname ent txtct))
)
)
)
(princ)
)
;;;====================================================================
(defun c:tt (/ ent a a1 a2 txt txt1 ntxt ntxt1 ntxt2 sty sty1 sty2)
(graphscr)
(setvar “cmdecho” 0)
(setq block (nentsel “n바꾸고 싶은 문자를 선택하시오 :”))
(redraw (car block) 3)
(setq att (entget (car block)))
(setq ttx (ssname (ssget (cadr block)) 0))
(setq ntxt (nentsel “n Select new text : “))
(setq txtct 0)
(setq a1 (cdr (assoc 0 att)))
(setq txt (assoc 1 att))
(setq ntxt1 (entget (car ntxt)))
(setq ntxt2 (cdr (assoc 1 ntxt1)))
(setq txt1 (cons (car txt) ntxt2))
(setq att (subst txt1 txt att))
(entmod att)
(entupd ttx)
(princ (strcat (cdr txt) ” —–>>> ” ntxt2))(terpri)
(princ)
)
;;;====================================================================
(defun c:ww (/ ntext_w block att ntext_wc attt)
(setq block (nentsel “n바꾸고 싶은 문자를 선택하시오 :”))
(redraw (car block) 3)
; (setq attt (ssname block 0))
(setq att (entget (car block)))
(setq ttx (ssname (ssget (cadr block)) 0))
(setq old_w (cdr (assoc 41 att)))
(setq ntext_w (getreal “n바꾸고 싶은 문자의 폭은? :”))
(setq ntext_wc (cons 41 ntext_w))
(setq att (subst ntext_wc (assoc 41 att) att))
(entmod att)
(entupd ttx)
(princ “n문자의 폭이 변경되었습니다.”)
(princ)
)
아래가 btedit 리습인데 여기 안에 보시면 dds가 있어요~~ ㅠㅠ
;;;====================================================================
; CHGTEXT command – rudimentary text editor
(defun C:SS (/ p l n e ff os as ns st s nsl osl sl si chf chm cont)
(setq chm 0 p (ssget)) ; Select objects
(if p (progn ; If any objects selected
(setq cont t)
(while cont
(setq osl (strlen (setq os (getstring “nOld string: ” t))))
(if (= osl 0)
(princ “Null input invalid”)
(setq cont nil)
)
)
(setq nsl (strlen (setq ns (getstring “nNew string: ” t))))
(setq l 0 n (sslength p))
(while (>”))
(if (OR (/= a nil) (/= A CANCLE))
(progn
(SETVAR “OSMODE” 128)
(SETQ b (GETDIST a “nDISTANCE’S SECOND LINE(거리끝난점)>>”))
(SETQ dist (rtos b 2 3))
(PRINC (strcat “nDistance=[ ” dist ” ] “))
(SETQ dis (rtos b 2 0))
(SETQ C (entsel “nPICK CHANGE TEXT 선택..”))
(IF (OR (/= c nil) (/= C CANCLE))
(PROGN
(SETQ d (ENTGET (CAR C)))
(SETQ e (ASSOC 1 D))
(SETQ f (CONS (CAR E) DIS))
(SETQ g (SUBST F E D ))
(ENTMOD g)
)
)
) (SETQ index nil)
)
)
(SETVAR “OSMODE” 0)
(PROMPT “nNOTHING TEXT!!”)
(PRIN1)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:SCT()
(setq i 0)
(setq e1(ssget))
(setq nl(sslength e1))
(setq n(- nl 1))
(while (<= i n)
(setq ed(entget (setq e2(ssname e1 i))))
(setq t0(cdr (assoc 0 ed)))
(setq tt1(assoc 1 ed))
(setq tt2(cdr tt1))
(COND
((= t0 “TEXT”)
(redraw e2 3)
(prompt “Old text(“)(prin1 tt2)(prompt “)”)(setq tt(getstring “New Text :” t))
(if (= tt “”) (setq tt tt2))
(setq ed(subst (cons 1 tt)(assoc 1 ed) ed))
(entmod ed)
(redraw e2 4)
)
((= t0 “DIMENSION”)
(redraw e2 3)
(prompt “Old text(“)(prin1 tt2)(prompt “)”)(setq tt(getstring “New Text :” t))
(if (= tt “”) (setq tt tt2))
(setq ed(subst (cons 1 tt)(assoc 1 ed) ed))
(entmod ed)
(redraw e2 4)
)
)
(setq i(1+ i))
)
)
리습전문을 올려보셔야 합니다
COMMAND-S 가 사용 됐을 가능성이 보이긴 한데..
지금 올렸어요. 이 리습 안에 보시면 dds명령어가 있어요~~
제가 캐드에 ddedit라고 full name 쳐보아도 명령 실행이 안되는데 2018에서는 ddedit명령이 없는 건지요?
제 눈엔 dds가 안 보이는 군요 게시하신 리습들에는 딱히 ddedit에 영향을 줄만한 구문도 없습니다
그리고 캐드 자체 명령이 리습 명령에 가려져서 실행이 안된다고 생각이 드신다면 모든 리습을 언로드 하신후에 한번 시도 해보세요